International Transfers API

Stable Remittance

This API facilitates cross-border fund transfers with support for payment requests, callback notifications, and status checking.

Overview

Use Cases

  • Payment Request
  • Callback Notifications
  • Status Check

Key Features

  • Cross-border transfers
  • Multiple currency support
  • Correspondent bank network
  • SWIFT messaging

API Endpoints

POST /api/v1/remittance/international

International Transfers

Send and receive international money transfers through correspondent banks

Parameters
service string Required

Service type (fund-transfer)

type string Required

Transfer type (external)

ignoreDuplicateCheck boolean Optional

Ignore duplicate check flag

amount number Required

Transfer amount

beneficiaryName string Required

Beneficiary full name

beneficiaryAddress1 string Required

Beneficiary address line 1

beneficiaryAddress2 string Optional

Beneficiary address line 2

beneficiaryAddress3 string Optional

Beneficiary address line 3

creditCurrency string Required

Credit currency code

debitCurrency string Required

Debit currency code

destinationAccount string Required

Destination account number

destinationBranchCode string Required

Destination branch code

productCode string Required

Product code

remark string Optional

Transfer remarks

sortCode string Required

Bank sort code

sourceAccount string Required

Source account number

sourceBranchCode string Required

Source branch code

transactionReference string Required

Unique transaction reference

channelNarrationToCbs string Optional

Channel narration to CBS

Code Examples

Example requests for the International Transfers API

curl -X POST "https://api.nmbbank.com/v1/remittance/international" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "service": "fund-transfer",
    "type": "external",
    "ignoreDuplicateCheck": true,
    "payload": {
      "amount": 59500000,
      "beneficiaryAddress1": "NMB Head office, Dar es salaam",
      "beneficiaryAddress2": null,
      "beneficiaryAddress3": null,
      "beneficiaryName": "YYYY YYYY YYYY",
      "creditCurrency": "TZS",
      "debitCurrency": "TZS",
      "destinationAccount": "20810005426",
      "destinationBranchCode": "208",
      "productCode": "LBNM",
      "remark": "International transfer",
      "sortCode": "NMIBTZTZXXX",
      "sourceAccount": "22301300005",
      "sourceBranchCode": "223",
      "transactionReference": "INTL2024001",
      "channelNarrationToCbs": "International transfer"
    }
  }'

Response Examples

Success Response

{
  "RespStatus": "Success",
  "RespCode": 600,
  "RespHeader": {
    "transactionReference": "INTL2024001",
    "SourceAccount": "22301300005",
    "DestinationAccount": "20810005426"
  },
  "RespBody": {
    "fundTransferReference": "223LBNM251990001"
  }
}

Quick Info

Base URL: https://www.fintech.nmbbank.co.tz

Authentication: Bearer Token

Content Type: application/json

Support

Need help with this API? Contact our support team at fintech@nmbbank.co.tz